This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1261239 - Unable to create a channel in Spacewalk that starts with 'Red Hat' or 'RHN'
Unable to create a channel in Spacewalk that starts with 'Red Hat' or 'RHN'
Status: CLOSED WONTFIX
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2015-09-08 22:22 EDT by PixelDrift.NET Support
Modified: 2017-09-28 14:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 02:33:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PixelDrift.NET Support 2015-09-08 22:22:35 EDT
Description of problem:
When attempting to create a new base channel with a name starting with 'Red Hat', Spacewalk advises that channel names must not start with 'red hat' and does not create the channel.

Version-Release number of selected component (if applicable):
2.3

How reproducible:
Always

Steps to Reproduce:
1. From the UI select Channels -> Manage Software Channels -> Create New Channel
2. Create channel name such as 'Red Hat Source RPMs'

Actual results:
Spacewalk returns the error "Channels names must not start with 'red hat'"


Expected results:
Channel created without error.


Additional info:
The offending regex is here:
https://github.com/spacewalkproject/spacewalk/blob/master/java/code/src/com/redhat/rhn/manager/channel/CreateChannelCommand.java#L53

Which also restricts channels from starting with 'RHN'.

I discovered this issue when attempting to add Red Hat source RPMs to a Spacewalk server in a package development/build environment. Is this some form of license enforcement? I haven't seen anything specifically forbidding users from hosting Red Hat content locally (please clarify?).

I understand the RHN capabilities have been removed from Spacewalk, but I am interested to know why this regex enforcement still exists. Is it a hang over from Satellite, or specifically added to Spacewalk?
Comment 1 Tomas Lestach 2015-09-09 02:33:35 EDT
This constraint prevents the user to get into issues, for cases when he would create a custom channel like 'Red Hat Enterprise Linux Server (v. 7 for 64-bit x86_64)' and then would like to sync Red Hat channel of the same name (through the satellite-sync).
Even if this is probably not used too often, it's a valid scenario.
This behavior is expected and not planned to be removed. I'm closing the BZ as WONTFIX.
Comment 2 PixelDrift.NET Support 2015-09-09 03:14:46 EDT
Tomas,

The scenario you propose is only an issue in Satellite as satellite-sync for Red Hat channels from RHN is removed from the OS Spacewalk release. Is there a way to have this channel name restriction removed from the OS Spacewalk build?
Comment 3 Tomas Lestach 2015-09-09 04:39:55 EDT
There was no such thing removed from Spacewalk. If you activate Spacewalk using a Satellite certificate, you're able to satellite-sync Red Hat content like in Red Hat Satellite 5.
There're users, who make use of it.
As I wrote, there are no plans to change this behavior.
Comment 4 Eric Herget 2017-09-28 14:06:27 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.